Library Version 18.1.40

DB->get_bt_minkey()
Prev | Chapter 2. The DB Handle | Next

## DB->get_bt_minkey()

    #include <db.h>

    int
    DB->get_bt_minkey(DB *db, u_int32_t *bt_minkeyp);

The `DB->get_bt_minkey()` method returns the minimum number of key/data pairs intended to be stored on any single Btree leaf page. This value can be set using the DB->set_bt_minkey() method.

The `DB->get_bt_minkey()` method may be called at any time during the life of the application.

The `DB->get_bt_minkey()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### bt_minkeyp

The `DB->get_bt_minkey()` method returns the minimum number of key/data pairs intended to be stored on any single Btree leaf page in bt_minkeyp.

### Class

DB

### See Also

Database and Related Methods, DB->set_bt_minkey()

Prev | Up | Next
DB->get() | Home | DB->get_byteswapped()